Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[NEEDS INFO] OS X application build problem

#1
Hi.

I'm on a Mac OS X 10.5.8 Intel Core Duo. I did the ./all update and ./all compile (and yes I have git and xcode) but none of the applications will run. Right now I have to run xonotic from the terminal using ./all run.

When I double click on the netradiant.app (xonotic>netradiant>setup>data>osx>NetRadiant.app) it displays this message:

"You can't open the application "NetRadiant.app" because it is not supported on this architecture."

I want to build maps for xonotic but this error won't let me. Also there is a white circle-slash over the preview.

What do I do to fix?

Thanks.
Reply

#2
Hi

I got the white circle-slash over the .app icon. Looks like a powerpc app.
Try to compile Netradiant yourself... Or maybe there is a solution, I don't it.

and... oh, I'm on 10.6.5
Awesome, did Qz show you that ?
Nexuiz : I Reach the top5 of the ladder (even top3 I guess). Top1 French for quite some time (when active) of ladder. Top5 of some tournaments (if I remember well)
Reply

#3
I am having the exact same problem myself.


Quote: Try to compile Netradiant yourself...

How would one do that?
Reply

#4
Look in the COMPILING (just search for it in the finder window) for some more info, I haven't succeeded yet but maybe you'll have better luck.

...

Dear (especially Mac Heart ) community,

I can see the light at the end of the tunnel, but I need some help before I can start mapping.

This is the section concerning Mac building in COMPILING.
Code:
OSX(using X-windows)
====================

environment:
- OS X 10.5 or 10.6
- Xcode developer tools installed (OSX DVD)
- X11 (from the OS X DVD)
- MacPorts or fink installed
- the following packages installed:
  Macports:
    gtkglext pkgconfig glib2-devel libxml2 gtk2 pango atk gettext wget
  Fink:
    gtkglext1 pkgconfig glib2-dev libxml2 gtk+2 gtk+2-dev pango1-xft2-ft219-dev atk1 gettext-dev wget

build:
run 'make'

run:
Switch into the install folder, and run NetRadiant.app

I have OS X 10.5.8, Xcode, X11 (I used it to run the old NetRadiant) and MacPorts installed. I would like to know what to do with the glob of text
Code:
gtkglext pkgconfig glib2-devel libxml2 gtk2 pango atk gettext wget
and/or where to plug it in, and where to go after I get that done.

I have this feeling that I'm really close, all I need is a sentence or two from somebody who's done it. Then again I could be off my rocker and sailing south from Madagascar to get to Greenland. Smile

TY Heart
Reply

#5
And now the required *Bump* Smile Please check post above--recently edited.
Reply

#6
I nearly have it. However, I don't know where to find/how to use the "gtkglext pkgconfig glib2-devel libxml2 gtk2 pango atk gettext wget" plugin.

Edit: NVM, I installed wget, but I am still encountering an error.

[Image: picture246q.png]

I am unable to locate "pkg-config."

I do have a folder named "rb-pkg-config." Is this the folder? If so, where should it be located?
Reply

#7
(12-27-2010, 10:20 AM)nowego4 Wrote: I have OS X 10.5.8, Xcode, X11 (I used it to run the old NetRadiant) and MacPorts installed. I would like to know what to do with the glob of text
Code:
gtkglext pkgconfig glib2-devel libxml2 gtk2 pango atk gettext wget
and/or where to plug it in, and where to go after I get that done.

sudo port install gtkglext pkgconfig glib2-devel libxml2 gtk2 pango atk gettext wget

This will probably take a while and pull in a lot of dependencies. Just let it run, and it will work out. If you get a message it can't find the 'port' command, you failed to setup your PATH for MacPorts.
Before posting a reply, please read about the bikeshed.
Reply

#8
I had this error:

Computing dependencies for glib2-develError: Unable to execute port: Can't install glib2-devel because conflicting ports are installed: glib2
Reply

#9
(01-01-2011, 04:46 PM)neb Wrote: I had this error:

Computing dependencies for glib2-develError: Unable to execute port: Can't install glib2-devel because conflicting ports are installed: glib2

Can you try to update to latest macports: sudo port selfupdate

If that doesn't work, try uninstalling glib2.
Before posting a reply, please read about the bikeshed.
Reply

#10
I had this error when I entered you text in the terminal.
Code:
--->  Computing dependencies for gtkglextError: Unable to execute port: can't read "configure.ld_archflags": no such variable
Does this mean I didn't set up my PATH? If so, what do I do to do that?
Reply



Possibly Related Threads…
Thread Author Replies Views Last Post
  [NEED HELP] Windows 10 -basedir problem BlazedRasta 4 2,959 03-21-2023, 07:34 PM
Last Post: AlexVelasquez
  [BUG] A font-rendering performance problem (of upstream DarkPlaces) NaitLee 11 1,212 08-20-2022, 01:23 AM
Last Post: NaitLee
Question [NEED HELP] Problem with charset of names in XonStat API NAPALM 0 598 11-11-2021, 08:38 AM
Last Post: NAPALM
  [NEED HELP] cant start the game/ session lock problem skyghost47 1 2,065 10-24-2020, 11:50 PM
Last Post: BuddyFriendGuy
Question [NEED HELP] can't build netradiant (SOLVED) bananovenc 7 3,219 12-25-2019, 03:34 PM
Last Post: illwieckz
  [NEED HELP] NetRadiant crashes on Build - Mac (10.12.6) Space Ace 0 1,392 04-24-2019, 10:41 PM
Last Post: Space Ace
  Chat key bind problem BuddyFriendGuy 4 2,375 01-26-2019, 11:12 PM
Last Post: BuddyFriendGuy
  [NEEDS INFO] Dedicated server problem. kreestenrx1234 2 2,714 04-27-2016, 03:30 PM
Last Post: BuddyFriendGuy
  [NEED HELP] Player model problem hysik 2 3,319 12-15-2015, 11:35 AM
Last Post: hysik
  [SOLVED] Cant build bsp? Brot 1 2,111 08-23-2015, 08:04 PM
Last Post: end user

Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-